<?php
    
    $json = file_get_contents('php://input');   
    $obj = json_decode($json);
    $id = $obj->flag;
    $msg;
    $conn = new mysqli("directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
    $conn -> set_charset("utf8");
    // Returns a Json
    header('Content-Type: application/json');
    /*
        gimnasio: widget.gimnasio,
                  sucursal: widget.sucursal,
                  idPlan: widget.idPlan,
                  precioPlan: widget.precioPlan,
                  selectPlan: widget.selectPlan,
                  nombre: widget.nombre,
                  apellido: widget.apellido,
                  fCumple: widget.fCumple,
                  email: widget.email,
                  telefono: widget.telefono,
                  domi: widget.domi,
                  colonia: widget.colonia,
                  cp: widget.cp,
                  genero: widget.genero,
                  bd: widget.bd,
                  sGym: widget.sGym,
                  fechaR: widget.fechaR,
                  qr: widget.qr,
                  creditCard: cardNumber,
                  cvv: cvvCode,
                  cardHolderName: cardHolderName,
                  expiryDate: expiryDate,
    */
    $id_insert;
    $query_socio = "INSERT INTO socio_servicio(idServicio,idSocio,idSocioTitular,FechaSolicitud,FechaInscripcion) 
                VALUES('$obj->idPlan','0','0',CURDATE(),CURDATE())";
                
    if($conn->query($query_socio) === TRUE){
        $q_select = "SELECT MAX(idSocio_Servicio) AS idInsert FROM socio_servicio WHERE idSocioTitular = '0'";
        $result = $conn->query($q_select);
    
        $row = $result->fetch_assoc();
    
        $id_insert = $row['idInsert'];
                    
        $fecha_vencimiento = "DATE_ADD( '$obj->fechaR', INTERVAL 1 DAY)";
                    
        $query_pagos ="INSERT INTO pagos (idSocio_Servicio,Concepto,FechaPago,Importe,idUsuario,Pago,Descuento,Subtotal,
                    FechaInicio,Forma1,Importe1,Forma2,Importe2,idSucursal,Visible,FechaFin,Cancelado) 
                    VALUES ($id_insert,'00',NOW(),$obj->precioPlan,2,2,0.00,$obj->precioPlan,CURDATE(),'$obj->opPago',0.00,'$obj->opPago',0.00,$obj->sucursal,0,$fecha_vencimiento,0)";
                    
        if($conn->query($query_pagos) === TRUE){
                        
            $query = "INSERT INTO prospectos (nombre_prospecto,apll_prospecto,fecha_nacimiento,genero,correo_prospecto,telefono_prospecto,
                        domicilio_prospecto,colonia_prospecto,cp_prospecto,notas_prospecto,fecha_registro,estatus_prospecto,qr) 
                        VALUES ('$obj->nombre','$obj->apellido','$obj->fCumple',$obj->genero,'$obj->email','$obj->telefono',
                        '$obj->domi','$obj->colonia','$obj->cp','visita',NOW(),6,'$obj->qr')";
                        
            $conn->query($query);
            if($conn->query($query) === TRUE){
                $msg = 'Pago Exitoso';
            }else{
                $msg ='error => '.$query;
            }
        }else{
            $msg = 'error => '.$query_pagos;
        }
                
    }else{
        $msg = 'error => '.$query_socio;
    }
    
    echo $msg;        
    $conn->close();
    
    
?>